@mixin size($width, $height) {
  width: $width;
  height: $height;
}

@mixin hide-scroll-bar {
  &::-webkit-scrollbar {
    width: 0px;
    background: transparent;
  }
  -ms-overflow-style: none;
  scrollbar-width: none;
}

@mixin bg($url, $size: contain, $position: center) {
  background-image: url($url);
  background-size: $size;
  background-position: $position;
  background-repeat: no-repeat;
}

// fonts
@mixin font(
  $font: $primary-font,
  $size: 1rem,
  $color: $primary-font-color,
  $weight: 400
) {
  font-family: $font;
  font-size: $size;
  color: $color;
  font-weight: $weight;
}

//position
@mixin absolute-center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

//reset
@mixin reset-list {
  padding: 0;
  margin: 0;
  list-style-type: none;
}

@mixin reset-link {
  display: inline-block;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
}

@mixin reset-button {
  padding: 0;
  border: none;
  background: none;
  cursor: pointer;
}
